Bug 1003847 - Can't get gnome-terminal display bash prompt under xfce4
Can't get gnome-terminal display bash prompt under xfce4
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 07:17 EDT by Philippe Vouters
Modified: 2015-02-17 12:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:02:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Vouters 2013-09-03 07:17:31 EDT
Description of problem:
When typing in "$ gnome-terminal --command 'bash -l -i'", can't get bash prompt when under xfce4 desktop but succeeds under Gnome desktop.

Version-Release number of selected component (if applicable):
Latest F19 RPMs installed as of Tuesday, September 3.

How reproducible:
Always under xfce4

Steps to Reproduce:
1. login under xfce desktop
2. start aterm --loginShell
3. type in $ gnome-terminal --command 'bash -l -i'
4. logout from xfce desktop
5. login under Gnome desktop
6. start aterm --loginShell
7. type in $ gnome-terminal --command 'bash -l -i'
8. logout from Gnome desktop

Actual results:
Black background with no visible foreground bash prompt under xfce4
White background and black foreground bash prompt under Gnome

Expected results:
At least bash prompt display on my gnome-terminal under xfce4 desktop

Additional info:
Lots of history on my disks since FC4, especially in my home directory. Do not know whether I should reinstall everything from scratch.
Question : do you reproduce the phenomenon on your side ????
Comment 1 Philippe Vouters 2013-09-03 10:50:05 EDT
Got the problem definition correctly stated.
The problem I face when running gnome-terminal on my XFCE desktop is that the background colour MATCHES the foreground colour. Hence I can't read anything.

Finally got it right. The problem was with gnome-terminal under my XFCE desktop (Edit -> Profile Preferences)
"Use colors from system theme" was checked when it should not (Colors Tab)
As this used to work under previous Fedora release, I do not know who/what checked this option.

In the hope my experience may help someone.

You may close this Bugzilla report.
Comment 2 Fedora End Of Life 2015-01-09 14:42:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Trevor Cordes 2015-01-10 05:33:58 EST
You can close the bug using the Status: dropdown at the very bottom of the bug beside the "Save Changes" button.  Choose NOTABUG as a resolution.
Comment 4 Fedora End Of Life 2015-02-17 12:02:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.